Bug 1898299 - [abrt] rpm: db_create(): rpm killed by SIGBUS
Summary: [abrt] rpm: db_create(): rpm killed by SIGBUS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: 33
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e21bf581618a2a09f96c6d7b23d...
: 1898301 1900407 1902395 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-16 18:48 UTC by Philipp Raich
Modified: 2020-12-08 01:47 UTC (History)
8 users (show)

Fixed In Version: rpm-4.16.0-5.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-08 01:47:27 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (12.79 KB, text/plain)
2020-11-16 18:48 UTC, Philipp Raich
no flags Details
File: core_backtrace (4.15 KB, text/plain)
2020-11-16 18:48 UTC, Philipp Raich
no flags Details
File: cpuinfo (2.48 KB, text/plain)
2020-11-16 18:48 UTC, Philipp Raich
no flags Details
File: dso_list (2.15 KB, text/plain)
2020-11-16 18:48 UTC, Philipp Raich
no flags Details
File: environ (214 bytes, text/plain)
2020-11-16 18:48 UTC, Philipp Raich
no flags Details
File: exploitable (82 bytes, text/plain)
2020-11-16 18:48 UTC, Philipp Raich
no flags Details
File: limits (1.29 KB, text/plain)
2020-11-16 18:48 UTC, Philipp Raich
no flags Details
File: maps (13.22 KB, text/plain)
2020-11-16 18:48 UTC, Philipp Raich
no flags Details
File: mountinfo (2.55 KB, text/plain)
2020-11-16 18:48 UTC, Philipp Raich
no flags Details
File: open_fds (145 bytes, text/plain)
2020-11-16 18:48 UTC, Philipp Raich
no flags Details
File: proc_pid_status (1.30 KB, text/plain)
2020-11-16 18:48 UTC, Philipp Raich
no flags Details
File: var_log_messages (772 bytes, text/plain)
2020-11-16 18:48 UTC, Philipp Raich
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1461313 0 high CLOSED Rebuilding of rpm db set wrong SELinux context 2023-02-01 00:52:31 UTC

Description Philipp Raich 2020-11-16 18:48:01 UTC
Version-Release number of selected component:
rpm-4.16.0-1.fc33

Additional info:
reporter:       libreport-2.14.0
backtrace_rating: 4
cgroup:         0::/system.slice/system-dbus\x2d:1.12\x2dorg.fedoraproject.Setroubleshootd.slice/dbus-:1.12-org.fedoraproject.Setroubleshootd
cmdline:        rpm -ql filesystem
crash_function: db_create
executable:     /usr/bin/rpm
journald_cursor: s=3020762baaaa43a79388f7b53a2b6e3c;i=dbb8f;b=d403cebf5ec64f2b9f0eb9b1108459db;m=88c4d6;t=5b41940c84c0f;x=f4826ff908999940
kernel:         5.8.18-300.fc33.x86_64
rootdir:        /
runlevel:       unknown
type:           CCpp
uid:            971

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 db_create at ../../src/db/db_method.c:122
 #1 db3_dbiOpen at backend/db3.c:854
 #2 dbiOpen at backend/dbi.c:155
 #3 indexOpen at rpmdb.c:192
 #4 doOpen at rpmdb.c:358
 #5 openDatabase at rpmdb.c:517
 #6 rpmdbOpen at rpmdb.c:546
 #7 rpmtsOpenDB at rpmts.c:98
 #8 rpmtsInitIterator at rpmts.c:183
 #9 loadKeyringFromDB at rpmts.c:326

Comment 1 Philipp Raich 2020-11-16 18:48:04 UTC
Created attachment 1729857 [details]
File: backtrace

Comment 2 Philipp Raich 2020-11-16 18:48:05 UTC
Created attachment 1729858 [details]
File: core_backtrace

Comment 3 Philipp Raich 2020-11-16 18:48:07 UTC
Created attachment 1729859 [details]
File: cpuinfo

Comment 4 Philipp Raich 2020-11-16 18:48:08 UTC
Created attachment 1729860 [details]
File: dso_list

Comment 5 Philipp Raich 2020-11-16 18:48:09 UTC
Created attachment 1729861 [details]
File: environ

Comment 6 Philipp Raich 2020-11-16 18:48:10 UTC
Created attachment 1729862 [details]
File: exploitable

Comment 7 Philipp Raich 2020-11-16 18:48:11 UTC
Created attachment 1729863 [details]
File: limits

Comment 8 Philipp Raich 2020-11-16 18:48:13 UTC
Created attachment 1729864 [details]
File: maps

Comment 9 Philipp Raich 2020-11-16 18:48:14 UTC
Created attachment 1729865 [details]
File: mountinfo

Comment 10 Philipp Raich 2020-11-16 18:48:15 UTC
Created attachment 1729866 [details]
File: open_fds

Comment 11 Philipp Raich 2020-11-16 18:48:17 UTC
Created attachment 1729867 [details]
File: proc_pid_status

Comment 12 Philipp Raich 2020-11-16 18:48:18 UTC
Created attachment 1729868 [details]
File: var_log_messages

Comment 13 Philipp Raich 2020-11-16 18:50:23 UTC
*** Bug 1898301 has been marked as a duplicate of this bug. ***

Comment 14 Panu Matilainen 2020-11-17 07:50:01 UTC
> --Nov 15 00:10:37 philxps setroubleshootd[2185]: warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
> Nov 15 00:10:37 philxps setroubleshootd[2185]: error: cannot open Packages index using bdb - Permission denied (13)
> Nov 15 00:10:38 philxps setroubleshootd[2900]: warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
> Nov 15 00:10:38 philxps setroubleshootd[2900]: error: cannot open Packages index using bdb - Permission denied (13)
> Nov 15 00:10:40 philxps setroubleshootd[6481]: warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
> Nov 15 00:10:40 philxps setroubleshootd[6481]: error: cannot open Packages index using bdb - Permission denied (13)
--

This is a side-effect of bug 1461313. Update to selinux-policy-3.14.6-30.fc33, run 'restorecon -Rv /var/lib/rpm' and then 'rpmdb --rebuilddb' to finish it all off.

Killed by SIGBUS is an actual bug in either rpm or bdb, but unless there's something more to this, there's not much incentive in chasing and fixing something that is just about to be axed for good. Leaving open for the time being though.

Comment 15 Panu Matilainen 2020-11-23 06:33:14 UTC
Hmm, I just noticed this is filed as a private bug, guess abrt defaults to that.

Are you okay with okay with opening the access to this bug, so people can see what the deal is and duplicates can be properly collected?

Comment 16 Philipp Raich 2020-11-30 09:44:05 UTC
(In reply to Panu Matilainen from comment #15)
> Hmm, I just noticed this is filed as a private bug, guess abrt defaults to
> that.
> 
> Are you okay with okay with opening the access to this bug, so people can
> see what the deal is and duplicates can be properly collected?

I thought the reference in comment 13: <quote>Duplicate of this bug: https://bugzilla.redhat.com/show_bug.cgi?id=1898301</quote> serves this purpose, so there is no need to open this up?
That bugreport seems to be closed (in the meantime?) it seems?

But if you insist go ahead. I don't remember why I chose to restrict access in this case, I don't find anything sensitive at quick glance.

Comment 17 Panu Matilainen 2020-11-30 10:04:51 UTC
(In reply to Philipp Raich from comment #16)
> (In reply to Panu Matilainen from comment #15)
> > Hmm, I just noticed this is filed as a private bug, guess abrt defaults to
> > that.
> > 
> > Are you okay with okay with opening the access to this bug, so people can
> > see what the deal is and duplicates can be properly collected?
> 
> I thought the reference in comment 13: <quote>Duplicate of this bug:
> https://bugzilla.redhat.com/show_bug.cgi?id=1898301</quote> serves this
> purpose, so there is no need to open this up?
> That bugreport seems to be closed (in the meantime?) it seems?
> 
> But if you insist go ahead. I don't remember why I chose to restrict access
> in this case, I don't find anything sensitive at quick glance.

Oh, the point is that there are several other duplicates from other people, and accumulating. It seems that abrt is filing them all as closed by default. To be on the safe side I suppose, which is probably reasonable from privacy point of view, but a bit of a PITA from bug-keeping POV.

So with your approval, opening this so I can close the others as dupes of this. Thanks!

Comment 18 Panu Matilainen 2020-11-30 10:05:41 UTC
*** Bug 1900407 has been marked as a duplicate of this bug. ***

Comment 19 Panu Matilainen 2020-11-30 10:06:03 UTC
*** Bug 1902395 has been marked as a duplicate of this bug. ***

Comment 20 Fedora Update System 2020-11-30 10:24:39 UTC
FEDORA-2020-b587a31a29 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-b587a31a29

Comment 21 Fedora Update System 2020-12-01 02:13:27 UTC
FEDORA-2020-b587a31a29 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-b587a31a29`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b587a31a29

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 22 Fedora Update System 2020-12-08 01:47:27 UTC
FEDORA-2020-b587a31a29 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.